//
// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wLabelEditView::
//   p4 commands used to generate form to edit a label spec


#include <stdlib.h>
#include <string.h>

#include <p4wp4.h>

#include "p4wView.h"
#include "p4wMenuPane.h"
#include "p4wLabelEditView.h"

#include "p4wLabelPane.h"

p4wLabelEditView::p4wLabelEditView( p4wRequest & Request )
	: p4wView( Request )
{
	//
	// Set the short and the long versions of the title
	
	fShortTitle.Set( "Edit Label Spec" );
	fFullTitle << "Edit Label Spec " << fRequest.GetURL();
}

p4wLabelEditView::~p4wLabelEditView()
{
}

void p4wLabelEditView::RenderContent()
{
	//
	// label -o labelname
	
	p4wLabelPane labelPane( *this, fRequest, 1 );
	
	fRequest.p4Arg( "-o" );
	if( fRequest.GetURL().Length() != 0 )
		fRequest.p4Arg( fRequest.GetURL().Text() );
		
	fRequest.p4( "label", 0, 0, &labelPane );

	fRequest.p4Wait();	
}

void p4wLabelEditView::RenderMenu()
{
	//
	// Draw the menu bar
	
	p4wMenuPane menuPane( *this, fRequest, "editlabel" );
	menuPane.Render( NULL );
}
